%{
/*  atenea
 *  Copyright (C) 1999 <ryu@mundivia.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "rules.h"
#include <glib.h>
#include "parser.h"
#include <string.h>
int yyline=1;
%}

%%
"+"	{ return PLUS; }
"|"	{ return BAR; }
"->"    { return ARROW; }
"*"	{ return ASTERISC; }
"%default" { return DEFAULT; }
"\n"	{ yyline++; }
"\""[^"\""]+"\""  { yytext[strlen(yytext)-1]=0;yylval.s_value=strdup(yytext+1);return STRING;}
" "	{}
.	{ printf("Sintax Error near line %i: <%s>\n",yyline,yytext); }
%%

int yywrap(void)
{
return (1);
}
